--- /dev/null	Mon Jun  2 23:06:28 2014
+++ new/usr/src/pkg/manifests/system-test-libctest.mf	Mon Jun  2 23:06:28 2014
@@ -0,0 +1,37 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
+
+set name=pkg.fmri value=pkg:/system/test/libctest@$(PKGVERS)
+set name=pkg.description value="C library Unit Tests"
+set name=pkg.summary value="C Library Unit Test Suite"
+set name=info.classification \
+    value=org.opensolaris.category.2008:Development/System
+set name=variant.arch value=$(ARCH)
+dir path=opt/libc-tests
+dir path=opt/libc-tests/bin
+dir path=opt/libc-tests/runfiles
+dir path=opt/libc-tests/tests
+file path=opt/libc-tests/README mode=0444
+file path=opt/libc-tests/bin/libctest mode=0555
+file path=opt/libc-tests/runfiles/default.run mode=0444
+file path=opt/libc-tests/tests/newlocale_test mode=0555
+license lic_CDDL license=lic_CDDL
+depend fmri=locale/de type=require
+depend fmri=locale/en type=require
+depend fmri=locale/ja type=require
+depend fmri=locale/ru type=require
+depend fmri=system/test/testrunner type=require
